# SPEC file overview:
# https://docs.fedoraproject.org/en-US/quick-docs/creating-rpm-packages/#con_rpm-spec-file-overview
# Fedora packaging guidelines:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/

%global debug_package %{nil}

Name:    libayatana-appindicator
Version: 0.5.91
Release: 1.ndias%{?dist}
Summary: Ayatana Application Indicators Shared Library

License: LGPLv3
URL:     https://github.com/AyatanaIndicators/libayatana-appindicator
Source0: https://github.com/AyatanaIndicators/libayatana-appindicator/archive/refs/tags/%{name}-%{version}.tar.gz

BuildRequires: cmake, gcc, gcc-c++, glib2-devel, libayatana-indicator-devel
BuildRequires: gtk3-devel, libdbusmenu-gtk3-devel, gobject-introspection-devel
BuildRequires: vala, gtk-sharp3-devel, mono-devel, gtk-sharp3-gapi

%description
A library to allow applications to export a menu into the an Application
Indicators aware menu bar. Based on KSNI it also works in KDE and will
fallback to generic Systray support if none of those are available.

%package devel
Summary: Devel files of Ayatana Application Indicators Shared Library

%description devel
Devel files of Ayatana Application Indicators Shared Library

%prep
%setup -q

%build
mkdir build
cd build
cmake .. 
make %{?_smp_mflags}


%install
cd build
%make_install
strip --strip-debug --strip-unneeded $RPM_BUILD_ROOT/%{_libdir}/%{name}3.so.1.0.0

%files devel
%{_includedir}/%{name}3-0.1/%{name}/app-indicator-enum-types.h
%{_includedir}/%{name}3-0.1/%{name}/app-indicator.h
%{_libdir}/%{name}3.so
%{_libdir}/pkgconfig/ayatana-appindicator3-0.1.pc
%{_libdir}/pkgconfig/ayatana-appindicator3-sharp-0.1.pc
%{_datadir}/gir-1.0/AyatanaAppIndicator3-0.1.gir

%files 
%doc AUTHORS NEWS README
%license COPYING COPYING.GPL.3 COPYING.LGPL.2.1 

%{_libdir}/cli/ayatana-appindicator3-sharp-0.1/ayatana-appindicator3-sharp.dll
%{_libdir}/cli/ayatana-appindicator3-sharp-0.1/ayatana-appindicator3-sharp.dll.config
%{_libdir}/cli/ayatana-appindicator3-sharp-0.1/policy.0.0.ayatana-appindicator3-sharp.config
%{_libdir}/cli/ayatana-appindicator3-sharp-0.1/policy.0.0.ayatana-appindicator3-sharp.dll
%{_libdir}/cli/ayatana-appindicator3-sharp-0.1/policy.0.1.ayatana-appindicator3-sharp.config
%{_libdir}/cli/ayatana-appindicator3-sharp-0.1/policy.0.1.ayatana-appindicator3-sharp.dll
%{_libdir}/girepository-1.0/AyatanaAppIndicator3-0.1.typelib
%{_libdir}/%{name}3.so.1
%{_libdir}/%{name}3.so.1.0.0

%{_datadir}/vala/vapi/ayatana-appindicator3-0.1.deps
%{_datadir}/vala/vapi/ayatana-appindicator3-0.1.vapi

%changelog
* Sat May 21 2022 Nuno Dias <Nuno.Dias@gmail.com> - 0.5.91-1.ndias
- Version 0.5.91

